=== share/hedgewars/Data/Themes/CMakeLists.txt ===
foreach(dir
	Art
	Bamboo
	Bath
	Blox
	Brick
	Cake
	Castle
	Cheese
	Christmas
	Compost
	Deepspace
	Desert
	City
	CrazyMission
	EarthRise
	Eyes
	Freeway
	Golf
	Halloween
	Hell
	Island
	Jungle
	Nature
	Olympics
	Planes
	Sheep
	Snow
	Stage
	Underwater
	)
	add_subdirectory(${dir})
endforeach(dir)
