=== debian/changelog ===
hedgewars (0.9.16-1) unstable; urgency=low

  * New upstream version.
   + Downloadable content! Simply click to install any content.
     New voices, hats, maps, themes, translations, music, scripts...
     Hedgewars is now more customisable than ever before! As time goes
     by we will be soliciting community content to feature on this page,
     so remember to check it from time to time. If you decide you want
     to go back to standard Hedgewars, just remove the Data directory
     from your Hedgewars config directory.
   + 3-D rendering! Diorama-like rendering of the game in a variety
     of 3D modes. Let us know which ones work best for you, we didn't
     really have the equipment to test them all.
   + Resizable game window.
   + New utilities! The Time Box will remove one of your hedgehogs
     from the game for a while, protecting from attack until it returns,
     somewhere else on the map. Land spray will allow you to build bridges,
     seal up holes, or just make life unpleasant for your enemies.
   + New single player: Bamboo Thicket, That Sinking Feeling, Newton and
     the Tree and multi-player: The Specialists, Space Invaders,
     Racer - scripts! And a ton more script hooks for scripters
   + New twists on old weapons. Drill strike, seduction and fire have
     been adjusted. Defective mines have been added, rope can attach to
     hogs/crates/barrels again, grenades now have variable bounce (use
     precise key + 1-5). Portal gun is now more usable in flight and
     all game actions are a lot faster.
   + New theme - Golf, dozens of new community hats and a new
     localised Default voice, Ukranian.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 23 Sep 2011 10:16:55 +0400
