=== share/hedgewars/Data/Graphics/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,10 @@
 add_subdirectory(Hats)
 add_subdirectory(Hedgehog)
 add_subdirectory(SuddenDeath)
+add_subdirectory(Missions)
 
 file(GLOB BaseSprites *.png) 
+list(REMOVE_ITEM BaseSprites *@2x.png)
 
 install(FILES
 	${BaseSprites}
