=== debian/changelog ===
hedgewars (0.9.17-1~natty0.1) natty-proposed; urgency=low

  * Backport 0.9.17-1 to Natty to fix network play (LP: #852603):
    - debian/patches/haskell-backwards-compat.patch: Replace or
      reimplement functions used by the server that weren't available in
      Natty's Haskell stack
    - Drop libghc-bytestring-show-dev build-dependency.
    - Add 6's to get libghc6-deepseq-dev, libghc6-utf8-string-dev
      build-dependencies
    - Change libghc6-network-dev build-dependency to libghc6-network-bytestring-dev

 -- Evan Broder <evan@ebroder.net>  Tue, 22 Nov 2011 04:49:51 -0800

hedgewars (0.9.17-1) unstable; urgency=low

  * [Paul Wise]
   * Mention the homing bee in the package description (Closes: #577092)
   * Also install the hwengine desktop file (LP: #811770)
   * Depend on ttf-dejavu-core since it is smaller
   * Depend on ttf-wqy-zenhei instead of embedding a copy of it
  * [Dmitry E. Oboukhov]
   * New upstream version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 20 Nov 2011 18:31:17 +0400
