=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hedgewars
 Section: games
 Priority: extra
-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7), cmake, cdbs,
  libqt4-dev (>= 4.2),
@@ -15,14 +16,13 @@
  fp-units-gfx,
  ghc6,
  libghc6-stm-dev,
- libghc6-network-dev,
+ libghc6-network-bytestring-dev,
  libghc6-dataenc-dev,
  libghc6-hslogger-dev,
- libghc-utf8-string-dev,
+ libghc6-utf8-string-dev,
  liblua5.1-dev,
  imagemagick,
- libghc-bytestring-show-dev,
- libghc-deepseq-dev
+ libghc6-deepseq-dev
 Standards-Version: 3.9.2
 Homepage: http://hedgewars.org
 VCS-Browser: http://git.debian.org/?p=collab-maint/hedgewars.git;a=summary
@@ -31,7 +31,8 @@
 Package: hedgewars
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- ttf-dejavu,
+ ttf-dejavu-core,
+ ttf-wqy-zenhei,
  hedgewars-data (>= ${source:Upstream-Version})
 Description: Worms style game
  Each player controls a team of several hedgehogs. During the
@@ -46,9 +47,9 @@
  thinking or moving.
  .
  A large variety of tools and weapons are available for players
- during the game: Grenade, Cluster Bomb, Bazooka, UFO, Shotgun,
- Desert Eagle, Fire Punch, Baseball Bat, Dynamite, Mine, Rope,
- Pneumatic pick, Parachute. Most weapons, when used, cause
+ during the game: Grenade, Cluster Bomb, Bazooka, UFO, Homing Bee,
+ Shotgun, Desert Eagle, Fire Punch, Baseball Bat, Dynamite, Mine,
+ Rope, Pneumatic pick, Parachute. Most weapons, when used, cause
  explosions that deform the terrain, removing circular chunks.
  The landscape is an island floating on a body of water, or a
  restricted cave with water at the bottom. A hedgehog dies when
